#include <bits/stdc++.h>

using namespace std;

long long zaokruzi(long long a, long long n)
{
    if((n*1.0)/(a*1.0)==n/a)
    {
        return n/a;
    }
    else
    {
        return (n/a)+1;
    }
}

bool provera(long long p, long long q, long long r, long long n)
{
    return n >= zaokruzi(p,n) + zaokruzi(q,n) + zaokruzi(r,n);
}

long long koliko(long long p, long long q, long long r, long long a, long long b)
{
    long long br=0;
    for(;a<=b;a++)
    {
        if(provera(p,q,r,a))
        {
            br++;
        }
    }
    return br;
}

int main()
{
    long long p,q,r,L,R, br=0;

    cin >> p;
    cin >> q;
    cin >> r;
    cin >> L;
    cin >> R;

    long long d=(p*q*r)+2;

    if(L>=d)
    {
        br=R-L+1;
    }
    else if(L<d)
    {
        if(R>=d)
        {
            br=koliko(p,q,r,L,d-1)+R-d+1;
        }
        else if(R<d)
        {
            br=koliko(p,q,r,L,R);
        }
    }

    cout << br << endl;

    return 0;
}